xmonad-contrib-0.18.1: Community-maintained extensions for xmonad

Copyright | (c) 2007 James Webb
License | BSD-style (see xmonad/LICENSE)
Maintainer | xmonad#jwebb,sygneca,com
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Layout.MosaicAlt

Contents

- Usage:

Description

A layout which gives each window a specified amount of screen space relative to the others. Compared to the `Mosaic` layout, this one divides the space in a more balanced way.

Synopsis

- newtype MosaicAlt a = MosaicAlt Params
- shrinkWindowAlt :: Window -> HandleWindowAlt
- expandWindowAlt :: Window -> HandleWindowAlt
- tallWindowAlt :: Window -> HandleWindowAlt
- wideWindowAlt :: Window -> HandleWindowAlt
- resetAlt :: HandleWindowAlt
- type Params = Map Window Param
- data Param
- data HandleWindowAlt

# Usage:

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.MosaicAlt
    import qualified Data.Map as M

Then edit your `layoutHook` by adding the MosaicAlt layout:

    myLayout = MosaicAlt M.empty ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

In the key-bindings, do something like:

        , ((modm .|. shiftMask  , xK_a    ), withFocused (sendMessage . expandWindowAlt))
        , ((modm .|. shiftMask  , xK_z    ), withFocused (sendMessage . shrinkWindowAlt))
        , ((modm .|. shiftMask  , xK_s    ), withFocused (sendMessage . tallWindowAlt))
        , ((modm .|. shiftMask  , xK_d    ), withFocused (sendMessage . wideWindowAlt))
        , ((modm .|. controlMask, xK_space), sendMessage resetAlt)
        ...

For detailed instruction on editing the key binding see:

the tutorial.

newtype MosaicAlt a #

Constructors

MosaicAlt Params |

#### Instances

Instances details

LayoutClass MosaicAlt Window # |

Instance details

Defined in XMonad.Layout.MosaicAlt

Methods

runLayout :: Workspace WorkspaceId (MosaicAlt Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (MosaicAlt Window)) #

doLayout :: MosaicAlt Window -> Rectangle -> Stack Window -> X ([(Window, Rectangle)], Maybe (MosaicAlt Window)) #

pureLayout :: MosaicAlt Window -> Rectangle -> Stack Window -> [(Window, Rectangle)] #

emptyLayout :: MosaicAlt Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (MosaicAlt Window)) #

handleMessage :: MosaicAlt Window -> SomeMessage -> X (Maybe (MosaicAlt Window)) #

pureMessage :: MosaicAlt Window -> SomeMessage -> Maybe (MosaicAlt Window) #

description :: MosaicAlt Window -> String #

Read (MosaicAlt a) # |
Instance details Defined in XMonad.Layout.MosaicAlt Methods readsPrec :: Int -> ReadS (MosaicAlt a) # readList :: ReadS [MosaicAlt a] # readPrec :: ReadPrec (MosaicAlt a) # readListPrec :: ReadPrec [MosaicAlt a] #
Show (MosaicAlt a) # |
Instance details Defined in XMonad.Layout.MosaicAlt Methods showsPrec :: Int -> MosaicAlt a -> ShowS # show :: MosaicAlt a -> String # showList :: [MosaicAlt a] -> ShowS #

shrinkWindowAlt :: Window -> HandleWindowAlt #

expandWindowAlt :: Window -> HandleWindowAlt #

tallWindowAlt :: Window -> HandleWindowAlt #

wideWindowAlt :: Window -> HandleWindowAlt #

resetAlt :: HandleWindowAlt #

type Params = Map Window Param #

data Param #

#### Instances

Instances details

Read Param # |
Instance details Defined in XMonad.Layout.MosaicAlt Methods readsPrec :: Int -> ReadS Param # readList :: ReadS [Param] # readPrec :: ReadPrec Param # readListPrec :: ReadPrec [Param] #
Show Param # |
Instance details Defined in XMonad.Layout.MosaicAlt Methods showsPrec :: Int -> Param -> ShowS # show :: Param -> String # showList :: [Param] -> ShowS #

data HandleWindowAlt #

#### Instances

Instances details

Eq HandleWindowAlt # |
Instance details Defined in XMonad.Layout.MosaicAlt Methods (==) :: HandleWindowAlt -> HandleWindowAlt -> Bool # (/=) :: HandleWindowAlt -> HandleWindowAlt -> Bool #
Message HandleWindowAlt # |
Instance details Defined in XMonad.Layout.MosaicAlt